MKRESCUE(8)

NOM
mkrescue - Créer une disquette ou un CD de secours

SYNOPSIS
/sbin/mkrescue crée une disquette ou un CD-ROM de secours amorçable avec le noyau indiqué par défaut dans lilo.conf.

DESCRIPTION
mkrescue choisit comme noyau celui indiqué par défaut dans /etc/lilo.conf. Si le choix par défaut est une entrée other=, mkrescue utilise la première entrée image= du fichier. Toute image disque en mémoire associée (initrd=) et les options append= seront aussi utilisées. Le répertoire racine sera choisi comme le répertoire racine actuel. Une disquette ou une image de CD-ROM amorçable sera créée en utilisant la version 22.5.5 ou supérieure de LILO. mkrescue ne requiert habituellement aucune option, à moins qu'une image de CD-ROM soit demandée (option --iso).

OPTIONS

--append <chaîne>
    Remplacer toute option de append= qui accompagne l'image par défaut. S'il y a un doute sur la validité des options de lilo.conf, indiquez qu'aucun paramètre ne sera passé au noyau en fournissant une chaîne vide : --append "".

--debug
    Fournir une sortie détaillée du fonctionnement de mkrescue entrecoupée de pauses qui permettent de voir le réglage des paramètres internes. Taper « <Entrée> » pour continuer à chaque pause.

--device <périphérique>
    Créer la disquette sur un périphérique autre que /dev/fd0. La disquette sera toujours créée pour être amorcée depuis le lecteur « A : » (périphérique de code 0X00 du BIOS) sans considération du lecteur sur lequel elle a été créée.

--fast
    Utiliser une méthode plus rapide pour créer la disquette d'amorçage. Cela comprend d'abord la création d'un fichier de --size blocs d'1 k (par défaut 1440), monté via un périphérique boucle (« loopback »), la création de la disquette amorçable puis la copie intégrale du fichier sur la disquette.

--fs [ ext2 | msdos | minix ]
    Indiquer le système de fichiers à créer sur le support. Par défaut il s'agit de ext2, mais msdos et minix permettent d'avoir quelques secteurs supplémentaires sur le disque pour des noyaux plus volumineux.

--help
    Afficher une aide concise incluant la liste des options.

--image <étiquette>
    Indiquer l'étiquette ou l'alias de l'image de laquelle doivent être prises les options, l'image disque en mémoire, la racine, la table de caractères et les informations du noyau.

--initrd <chemin> et --kernel <chemin>
    Ces options, à utiliser conjointement, permettent d'indiquer un fichier noyau et une image disque en mémoire sur la disquette d'amorçage créée. N'utilisez ces options que si vous savez ce que vous faites. Si aucune image disque en mémoire n'est nécessaire avec un noyau particulier, vous devez indiquer --initrd "", c'est-à-dire un chemin vide.

--install [ text | menu ]
    Remplacer l'interface utilisée par défaut avec le chargeur de démarrage de secours (option « install= » du fichier de configuration). Par défaut, il s'agit de text sur les disquettes de 1,2 et 1,44 Mo, de menu sur les disquettes de 2,88 Mo et de l'émulation HD sur les CD-R.

--iso
    Créer une image de CD-ROM ISO-9660 amorçable (au format « El Torito ») en vue de sa gravure sur un CD-R ou CD-RW. L'indication --device pointe par défaut sur le fichier rescue.iso et --size sur 2880. Un utilitaire tel que « wodim » peut être utilisé pour la gravure. Avec l'option --iso, l'option --size HD est permise.

--nocompact
    Pour un chargement plus rapide du noyau à partir d'une disquette, la compression de la carte de LILO est en principe activée. Cette option la désactive en omettant le paramètre -c de lilo.

--noformat
    Supprimer la phase de création d'un nouveau système de fichiers sur la disquette d'amorçage. Cette option peut être utilisée uniquement si vous savez que la disquette sur laquelle vous allez écrire est formatée avec le même système de fichiers que celui indiqué par --fs XXX (par défaut ext2).

--root <périphérique>
    Indiquer le système de fichiers racine pour le noyau sur la disquette de démarrage. La partition racine en cours d'utilisation est utilisée par défaut.

--size [ 1440 | 1200 | 2880 | HD ]
    La capacité par défaut des disquettes est 1440, soit 1,44 Mo. Quand l'option --iso est indiquée, la capacité par défaut est portée à 2880. Les indications valides sont : 1200, 1440 ou 2880 pour des disquettes de respectivement 1,2 Mo, 1,44 Mo ou 2,88 Mo. Aucune autre capacité de disquette n'est gérée.

    L'indication HD qui signifie « Hard Disk » n'est utilisable qu'avec l'option --iso, pour indiquer la création, par émulation, d'un disque dur de 16 Mo. Cela permet des combinaisons de noyau et d'image disque en mémoire très volumineuses sur CD-R. L'image du disque dur est créée en utilisant les périphériques « loopback » /dev/loop0 et /dev/loop1 qui doivent être libres lors de l'utilisation de cette option.

--version
    Afficher le numéro de version de mkrescue et quitter.

VOIR AUSSI
cdrecord(1), dd(1), wodim(1), lilo.conf(5), lilo(8), mkfs(8), mkinitrd(8), mkisofs(8), mount(8)

TRADUCTION
Cette page de manuel a été traduite Luc Froidefond <luc DOT froidefond AT free DOT fr> en 2006. La version présente dans Debian est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.